Bug 1590215 (CVE-2018-12232) - CVE-2018-12232 kernel: NULL pointer dereference if close and fchownat system calls share a socket file descriptor
Summary: CVE-2018-12232 kernel: NULL pointer dereference if close and fchownat system ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12232
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1590216 1590217 1591837
Blocks: 1590219
TreeView+ depends on / blocked
 
Reported: 2018-06-12 08:38 UTC by Andrej Nemec
Modified: 2019-09-29 14:41 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference issue was found in the Linux kernel. If the close() and fchownat() system calls share a socket file descriptor as an argument, then the two calls can race and trigger a NULL pointer dereference leading to a system crash and a denial of service.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:28:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 09:02:17 UTC

Description Andrej Nemec 2018-06-12 08:38:36 UTC
A NULL pointer dereference issue was found in the Linux kernel. If the close() and fchownat() system calls share a socket file descriptor as an argument, then the two calls can race and trigger a NULL pointer dereference leading to a system crash and a denial of service.

References:

https://lkml.org/lkml/2018/6/5/14

https://marc.info/?t=152817459500001&r=1&w=2

https://patchwork.ozlabs.org/patch/926519/

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=6d8c50dcb029872b298eea68cc6209c866fd3e14

Comment 1 Andrej Nemec 2018-06-12 08:39:33 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1590216]

Comment 6 errata-xmlrpc 2018-10-30 09:01:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.